Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_bdb_cursor_get

## Name

librdf_hash_bdb_cursor_get -- Retrieve a hash value for the given key

## Synopsis

``int `librdf_hash_bdb_cursor_get`` (void* `context`, librdf_hash_datum * `key`, librdf_hash_datum * `value`, unsigned int `flags`);`

## Arguments

`context`

  BerkeleyDB hash cursor context

`key`

  pointer to key to use

`value`

  pointer to value to use

`flags`

  flags

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_hash_bdb_cursor_init | Up | librdf_hash_bdb_cursor_finish